umbrello: UMLObjectNameWidget Class Reference

umbrello 2.38.4 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
UMLObjectNameWidget Class Reference

`#include <umlobjectnamewidget.h>`

Inheritance diagram for UMLObjectNameWidget:

## Public Member Functions
| UMLObjectNameWidget (const QString &label, const QString &text, QWidget *parent=0)
| ~UMLObjectNameWidget ()
void | addToLayout (QGridLayout *layout, int row)
QString | text ()
void | reset ()

## Protected Attributes
QLabel * | m_label
QLineEdit * | m_editField
QString | m_text

## Constructor & Destructor Documentation

## ◆ UMLObjectNameWidget()

UMLObjectNameWidget::UMLObjectNameWidget | ( | const QString & | label,
|  | const QString & | text,
|  | QWidget * | parent = `0`
| ) |  |

## ◆ ~UMLObjectNameWidget()

UMLObjectNameWidget::~UMLObjectNameWidget | ( |  | ) |

## Member Function Documentation

## ◆ addToLayout()

void UMLObjectNameWidget::addToLayout | ( | QGridLayout * | layout,
|  | int | row
| ) |  |

Add this widget to a given grid layout. Umbrello dialogs places labels in column 0 and the editable field in column 1.

Parameters

  layout | The layout to which the widget should be added
  row | The row in the grid layout where the widget should be placed

## ◆ reset()

void UMLObjectNameWidget::reset | ( |  | ) |

## ◆ text()

QString UMLObjectNameWidget::text | ( |  | ) |

## Member Data Documentation

## ◆ m_editField

QLineEdit* UMLObjectNameWidget::m_editField
| protected

## ◆ m_label

QLabel* UMLObjectNameWidget::m_label
| protected

## ◆ m_text

QString UMLObjectNameWidget::m_text
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/umlobjectnamewidget.h
- umbrello/dialogs/widgets/umlobjectnamewidget.cpp